For Developers
List District Calendars
This model is part of an upcoming API update which is currently in beta and therefore subject to change.
GET https://ed.link/api/v2/graph/district_calendars
Retrieve a list of all District Calendars.
Request Parameters
This query allows for filtering results.
This query allows for standard paging parameters.
It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.
Read More About Paging
Developer Guide
Click to Read
Sample Request
axios.get('https://ed.link/api/v2/graph/district_calendars', {
headers: {
authorization: `Bearer ${integration_access_token}`
}
});
Sample Response
{
"$data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"created_date": "2021-07-05T20:32:40.454Z",
"updated_date": "2021-07-12T21:44:23.126Z",
"district_id": "00000000-0000-0000-0000-000000000001",
"calendar_id": "00000000-0000-0000-0000-000000000002",
"type": "academic"
}
],
"$request": "00000000-0000-0000-0000-000000000000"
}